2

I am trying to create a Yum/Dnf Repository for an offline AIX 7.1 and I've downloaded all the repos by using the reposync on a linux machine that was connected to the internet. I've installed the Dnf bundle here: http://public.dhe.ibm.com/aix/freeSoftware/aixtoolbox/ezinstall/ppc/dnf_bundle_aix_71_72.tar and after an apparent successful install using the install_dnf.sh script, I get the following error when trying to install the createrepo package (/opt/freeware/bin/dnf install createrepo), necessary for creating the local repository on the AIX machine:

# /opt/freeware/bin/dnf install createrepo
Traceback (most recent call last):
  File "/opt/freeware/bin/dnf", line 57, in <module>
    from dnf.cli import main
  File "/opt/freeware/lib/python3.7/site-packages/dnf/__init__.py", line 32, in <module>
    import dnf.base
  File "/opt/freeware/lib/python3.7/site-packages/dnf/base.py", line 29, in <module>
    import libdn
    f.transaction
  File "/opt/freeware/lib/python3.7/site-packages/libdnf/__init__.py", line 3, in <module>
    from . import common_types
  File "/opt/freeware/lib/python3.7/site-packages/libdnf/common_types.py", line 13, in <module>
    from . import _common_types
ImportError:    0509-022 Cannot load module /opt/freeware/lib/librepo.a(librepo.so.0).
        0509-150   Dependent module /opt/freeware/lib/libcrypto.a(libcrypto.so.1.0.2) could not be loaded.
        0509-152   Member libcrypto.so.1.0.2 is not found in archive
        0509-022 Cannot load module /opt/freeware/lib/python3.7/site-packages/libdnf/_common_types.so.
        0509-150   Dependent module /opt/freeware/lib/librepo.a(librepo.so.0) could not be loaded.

While having this installed:

# rpm -qa
pci.df1000fd-2-10x8.noarch
lsof-4.61-4.ppc
ase-1.05-40.ppc
pci.df1000fa-1-191A5.noarch
NaCl-1.8.0.5-3.ppc
openssl-0.9.7l-1.ppc
bzip2-1.0.8-2.ppc
libtasn1-4.9-2.ppc
python3-3.7.9-0.ppc
libmodulemd-1.5.2-32_1.ppc
libsmartcols-2.34-32_1.ppc
librepo-1.11.0-32_1.ppc
libdnf-0.39.1-32_1.ppc
python3-hawkey-0.39.1-32_1.ppc
python3-libcomps-0.1.11-32_1.ppc
p11-kit-0.23.16-0.ppc
dnf-data-4.2.17-32_1.noarch
dnf-4.2.17-32_1.noarch
ca-certificates-2020.06.01-0.ppc
zlib-1.1.4-1.ppc
lpar2rrd-agent-4.95-7.ppc
rsync-2.6.2-1.ppc
pci.df1000f9-3-93a0.noarch
pci.df1080f9-1-91x4.noarch
popt-1.7-1.ppc
libgcc-6.3.0-2.ppc
libffi-3.2.1-3.ppc
AIX-rpm-7.1.5.33-15.ppc
libzstd-1.4.4-32_1.ppc
libsolv-0.7.9-32_1.ppc
zchunk-libs-1.1.4-32_1.ppc
rpm-python3-4.15.1-32_1.ppc
python3-libdnf-0.39.1-32_1.ppc
libcomps-0.1.11-32_1.ppc
python3-gpgme-1.13.1-32_1.ppc
p11-kit-tools-0.23.16-0.ppc
python3-dnf-4.2.17-32_1.noarch
dnf-automatic-4.2.17-32_1.noarch
python3-librepo-1.11.0-32_1.ppc

While I see that I have this file /opt/freeware/lib/libcrypto.a I don't see it's installed as a rpm.

librepo.a on the other hand seems to exist both as a rpm package and as a file on /opt/freeware/lib/librepo.a

1 Answer 1

1

It seems that it's trying to load libcrypto.so.1.0.2 and openssl-0.9.7l-1.ppc is currently installed. Try to change the PATH so it will look for the system's /usr/lib first and only after that for /opt/freeware/lib/, as the OS, if it's AIX 7.1 it should already have the required and most updated libcrypto.so

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .